UNIT error;
(* Programa: TINS'06
 * Unidad: error
 * Descripcin: Facilita la depuracin y el control de errores.
 * Autor: uo Martnez <niunio at pagina.de>
 *)

INTERFACE


(* MensajeError:
 *   Muestra en pantalla el mensaje de error. *)
  PROCEDURE MensajeError (Mensaje: STRING);



IMPLEMENTATION

USES
  mingro, SysUtils;



(* MensajeError:
 *   Muestra en pantalla el mensaje de error. *)
PROCEDURE MensajeError (Mensaje: STRING);

  PROCEDURE PonTexto (y: INTEGER; Texto: STRING);
  VAR
    Ancho, PosTexto: INTEGER;
  BEGIN
    Ancho := mgTextLength (Texto, mgDefaultFont);
    PosTexto := (mgScreenW DIV 2) - (Ancho DIV 2);
    mgTextOut (mgScreen, mgDefaultFont, PosTexto, y,
	       mgColor (255, 255, 255), Texto);
  END;
  
CONST
  Pulsa_ = 'Press <Esc> key to end program';
BEGIN
  mgRectFill (mgScreen, 0,
	      (mgScreenH * 2) DIV 5, mgScreenW, (mgScreenH * 3) DIV 5,
	      mgColor (128, 0, 0));
  mgRect (mgScreen, 0,
	  (mgScreenH * 2) DIV 5, mgScreenW, (mgScreenH * 3) DIV 5,
	  mgColor (255, 255, 255));
  PonTexto ((mgScreenH DIV 2) - 12, Mensaje);
  PonTexto ((mgScreenH DIV 2) +  4, Pulsa_);
  WHILE (mgReadKey SHR 8) <> MG_KEY_ESC DO
    mgSleep (100);
END;



END.

